import { Layout, Txt, makeScene2D } from "@motion-canvas/2d";
import {
  Direction,
  beginSlide,
  fadeTransition,
  slideTransition,
  waitFor,
} from "@motion-canvas/core";
import { theme } from "../theme";

export default makeScene2D(function* (view) {
  view.add(
    <Layout layout direction="column" alignItems="center">
      <Txt fontFamily={theme.font} fontSize={100} fill={theme.text.hex}>
        Part One
      </Txt>
      <Txt fontFamily={theme.font} fill={theme.text.hex}>
        Exploring the Functional Programming World
      </Txt>
    </Layout>
  );

  yield* slideTransition(Direction.Right);
  yield* beginSlide("hi");
});
